profile
viewpoint
If you are wondering where the data of this site comes from, please visit https://api.github.com/users/BioGeek/events. GitMemory does not store any data, but only uses NGINX to cache data for a period of time. The idea behind GitMemory is simply to give users a better reading experience.
Jeroen Van Goey BioGeek @barco Ghent, Belgium http://jeroen.vangoey.be Sr. Software Development Engineer – Machine Learning for healthcare

BioGeek/aima 7

Python implementation of algorithms from Russell and Norvig's Artificial Intelligence: A Modern Approach.

BioGeek/50-examples 3

Contains the text of a book describing interesting examples of Python programming for use in teaching. An alternate title was "The Python Teaching Cookbook".

BioGeek/BioinformaticsAlgorithms1 1

Python solutions for the Coursera course Bioinformatics Algorithms (Part 1)

BioGeek/biopython-notebook 1

Notebooks to introduce biopython

BioGeek/23andMe 0

python module to help explore raw data from 23andMe

BioGeek/adanet 0

Fast and flexible AutoML with learning guarantees.

BioGeek/adventofcode 0

My solutions of Advent Of Code in Python

BioGeek/aima-python 0

Automatically exported from code.google.com/p/aima-python

BioGeek/aircal 0

Visualize Airflow's schedule by exporting future DAG runs as events to Google Calendar.

startedBoltzmannEntropy/interviews.ai

started time in 2 hours

PR opened ITP-xStory/p5js-shaders

Fix typo

all 4.000.096 operations -> all 4.096.000 operations

+1 -1

0 comment

1 changed file

pr created time in a day

push eventBioGeek/p5js-shaders

Jeroen Van Goey

commit sha 0214b612f43fe77540f9d8e75661db9b79c11499

Fix typo `all 4.000.096 operations` -> `all 4.096.000 operations`

view details

push time in a day

startedascust/3DMM-Fitting-Pytorch

started time in 2 days

startedYadiraF/face3d

started time in 2 days

PR opened tensorflow/tfjs-models

Fix broken links to gifs

Folder demos was renamed to demo, which broke the links to the gifs.

+3 -3

0 comment

2 changed files

pr created time in 2 days

push eventBioGeek/tfjs-models

Jeroen Van Goey

commit sha 83e9947bbc13e5764bd03f039f4db21a0b7ed245

Fix broken links to gifs

view details

push time in 2 days

push eventBioGeek/tfjs-models

Jeroen Van Goey

commit sha 7c14fc936acca12d9515ac384042dd363c05d762

Fix broken link to gif

view details

push time in 2 days

create barnchBioGeek/tfjs-models

branch : broken_links

created branch time in 2 days

fork BioGeek/tfjs-models

Pretrained models for TensorFlow.js

https://js.tensorflow.org

fork in 2 days

startedkylemcdonald/AppropriatingNewTechnologies

started time in 2 days

startedawestover/chopsticks

started time in 3 days

startedmatta9001/Chopsticks

started time in 3 days

startedcharmedlabs/vizy

started time in 4 days

startedp5-serial/p5.serialcontrol

started time in 5 days

startedcarbon-app/carbon

started time in 6 days

startedtensorflow/tfx-addons

started time in 6 days

startededureisMD/ConVIRT-pytorch

started time in 7 days

startedrstrudel/segmenter

started time in 7 days

starteddvschultz/dataset-tools

started time in 8 days

starteddvschultz/stylegan3

started time in 8 days

startedNVlabs/stylegan3

started time in 8 days

issue openedpypa/pip

pip lowercases packagename, doesn't find package with upercase name in local repository

Description

We have an internal package on a locally hosted pypi instance. The packagename consists of uppercase letters: ABC1

I try to install this package using the --extra-index-url syntax. pip first looks on https://pypi.org but doesn't find the package there (as expected and OK). Then pip looks at our internal pypi at the location https://username:****@company.com/artifactory/pypi/abc1/ That URL returns a 404 error and hence pip decides that it can't find any versions of the package and bails. However, the different versions of the package are available at https://username:****@company.com/artifactory/pypi/ABC1/ (note, with uppercase).

Expected behavior

pip can find te different versions of the package at https://username:****@company.com/artifactory/pypi/ABC1/ and installs the latest version of the package.

pip version

21.3

Python version

3.6.9

OS

Linux

How to Reproduce

  1. Host a package with an upercase name on a local pypi instance
  2. try to install the package with the --extra-index-url syntax
  3. Observe that the installation fails because no versions of the package are found

Output

$ pip install --extra-index-url https://username:password@company.com/artifactory/pypi ABC1 -vvv
Using pip 21.3 from /home/username/.local/lib/python3.6/site-packages/pip (python 3.6)
Defaulting to user installation because normal site-packages is not writeable
Created temporary directory: /tmp/pip-ephem-wheel-cache-qoh72cvr
Created temporary directory: /tmp/pip-req-tracker-9omvqkej
Initialized build tracking at /tmp/pip-req-tracker-9omvqkej
Created build tracker: /tmp/pip-req-tracker-9omvqkej
Entered build tracker: /tmp/pip-req-tracker-9omvqkej
Created temporary directory: /tmp/pip-install-w2pje0r4
Looking in indexes: https://pypi.org/simple, https://username:****@company.com/artifactory/pypi
2 location(s) to search for versions of abc1:
* https://pypi.org/simple/abc1/
* https://username:****@company.com/artifactory/pypi/abc1/
Fetching project page and analyzing links: https://pypi.org/simple/abc1/
Getting page https://pypi.org/simple/abc1/
Found index url https://pypi.org/simple
Looking up "https://pypi.org/simple/abc1/" in the cache
Request header has "max_age" as 0, cache bypassed
Starting new HTTPS connection (1): pypi.org:443
https://pypi.org:443 "GET /simple/abc1/ HTTP/1.1" 404 13
Status code 404 not in (200, 203, 300, 301)
Could not fetch URL https://pypi.org/simple/abc1/: 404 Client Error: Not Found for url: https://pypi.org/simple/abc1/ - skipping
Fetching project page and analyzing links: https://username:****@company.com/artifactory/pypi/abc1/
Getting page https://username:****@company.com/artifactory/pypi/abc1/
Found credentials in url for company.com
Looking up "https://company.com/artifactory/pypi/abc1/" in the cache
Request header has "max_age" as 0, cache bypassed
Starting new HTTPS connection (1): company.com:443
https://company.com:443 "GET /artifactory/pypi/abc1/ HTTP/1.1" 404 None
Status code 404 not in (200, 203, 300, 301)
Could not fetch URL https://username:****@company.com/artifactory/pypi/abc1/: 404 Client Error: Not Found for url: https://company.com/artifactory/pypi/abc1/ - skipping
Skipping link: not a file: https://pypi.org/simple/abc1/
Skipping link: not a file: https://username:****@company.com/artifactory/pypi/abc1/
Given no hashes to check 0 links for project 'abc1': discarding no candidates
ERROR: Could not find a version that satisfies the requirement ABC1 (from versions: none)
ERROR: No matching distribution found for ABC1
Exception information:
Traceback (most recent call last):
  File "/home/username/.local/lib/python3.6/site-packages/pip/_vendor/resolvelib/resolvers.py", line 349, in resolve
    self._add_to_criteria(self.state.criteria, r, parent=None)
  File "/home/username/.local/lib/python3.6/site-packages/pip/_vendor/resolvelib/resolvers.py", line 174, in _add_to_criteria
    raise RequirementsConflicted(criterion)
pip._vendor.resolvelib.resolvers.RequirementsConflicted: Requirements conflict: SpecifierRequirement('ABC1')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/username/.local/lib/python3.6/site-packages/pip/_internal/resolution/resolvelib/resolver.py", line 93, in resolve
    collected.requirements, max_rounds=try_to_avoid_resolution_too_deep
  File "/home/username/.local/lib/python3.6/site-packages/pip/_vendor/resolvelib/resolvers.py", line 482, in resolve
    state = resolution.resolve(requirements, max_rounds=max_rounds)
  File "/home/username/.local/lib/python3.6/site-packages/pip/_vendor/resolvelib/resolvers.py", line 351, in resolve
    raise ResolutionImpossible(e.criterion.information)
pip._vendor.resolvelib.resolvers.ResolutionImpossible: [RequirementInformation(requirement=SpecifierRequirement('ABC1'), parent=None)]

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/username/.local/lib/python3.6/site-packages/pip/_internal/cli/base_command.py", line 164, in exc_logging_wrapper
    status = run_func(*args)
  File "/home/username/.local/lib/python3.6/site-packages/pip/_internal/cli/req_command.py", line 204, in wrapper
    return func(self, options, args)
  File "/home/username/.local/lib/python3.6/site-packages/pip/_internal/commands/install.py", line 339, in run
    reqs, check_supported_wheels=not options.target_dir
  File "/home/username/.local/lib/python3.6/site-packages/pip/_internal/resolution/resolvelib/resolver.py", line 101, in resolve
    raise error from e
pip._internal.exceptions.DistributionNotFound: No matching distribution found for ABC1
Removed build tracker: '/tmp/pip-req-tracker-9omvqkej'

Code of Conduct

created time in 9 days

startedjacobtomlinson/gpu-python-tutorial

started time in 10 days

startedanuragreddygv323/CarND-Student-Blogs

started time in 14 days

starteddowningbots/RLDonkeycar

started time in 15 days

startedJoeWDavies/geoblender

started time in 17 days

startedreplicate/cog

started time in 17 days